Bug 500248 - Pre-Review Request: plexus-cli - Command Line Interface facilitator for Plexus
Pre-Review Request: plexus-cli - Command Line Interface facilitator for Plexus
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429551
  Show dependency treegraph
 
Reported: 2009-05-11 18:00 EDT by Fernando Nasser
Modified: 2009-09-14 05:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 14:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2009-05-11 18:00:44 EDT
Package needed for Maven 2.0.8

Spec URL: http://people.fedoraproject.org/~fnasser/plexus-cli.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/plexus-cli-1.2-5.jpp6.src.rpm

Description: 
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.
Comment 1 Andrew Overholt 2009-05-14 10:24:45 EDT
- there are 3 sources without URLs
- I can't reproduce the source tarball as I get:

svn: URL 'http://svn.codehaus.org/plexus/plexus-tools/tags/plexus-cli-1.2' doesn't exist

- the license should be "ASL 2.0"
- I don't see any license in the sources nor on their website; how do we know it's ASL 2.0?
Comment 2 Fernando Nasser 2009-05-17 22:02:29 EDT
Sources moved upstream, fixed URL.

Fixed license.  Assuming the text below applies to the whole plexus project:

http://plexus.codehaus.org/get-involved.html

But the truth is, in this particular subproject that header is not to be found in any file.  Sort of weird.

Anyway, the new spec file is in place and the SRPM is now:

SRPM URL:
http://people.fedoraproject.org/~fnasser/plexus-cli-1.2-6.jpp6.src.rpm


Thanks for catching the SVN URL problem.
Comment 3 Andrew Overholt 2009-05-19 09:19:34 EDT
Spot, can we assume the text regarding licensing being ASL 2.0 at:

http://plexus.codehaus.org/get-involved.html

applies to the whole project?  The files in this package (569 lines in total among 4 files) have no license headers and there is no license text in SVN.

Fernando:  Thanks for fixing the steps to reproduce the source tarball.  I'm not sure of the license field being "ASL 2.0 and Plexus" -- shouldn't it just be "ASL 2.0"?
Comment 4 Tom "spot" Callaway 2009-05-19 09:26:46 EDT
(In reply to comment #3)
> Spot, can we assume the text regarding licensing being ASL 2.0 at:
> 
> http://plexus.codehaus.org/get-involved.html
> 
> applies to the whole project?  The files in this package (569 lines in total
> among 4 files) have no license headers and there is no license text in SVN.

Given how divergent the licensing has been in the various plexus bits, I don't think we can safely make that assumption. We need upstream to clarify things, preferrably by fixing their file attribution.
Comment 5 Jens Petersen 2009-05-28 21:27:12 EDT
So is someone going to ask about it on the plexus mailing-lists?
Comment 6 Jens Petersen 2009-05-28 21:38:33 EDT
I poked around http://jira.codehaus.org a little but was not smart enough to work out where this should be filed.
Comment 7 Jens Petersen 2009-05-28 23:02:27 EDT
Well I filed http://jira.codehaus.org/browse/PLX-418 under unknown component.
Comment 8 Andrew Overholt 2009-08-12 11:19:13 EDT
http://jira.codehaus.org/browse/PLX-418 has been fixed (thanks, Paul Gier!) in trunk.  Spot, are we good to go ahead here?
Comment 9 Tom "spot" Callaway 2009-08-12 11:48:56 EDT
As with 500252, I'd like to see a fixed SRPM with the proper license tag before letting this go forward.
Comment 10 Alexander Kurtakov 2009-08-17 15:28:20 EDT
(In reply to comment #9)
> As with 500252, I'd like to see a fixed SRPM with the proper license tag before
> letting this go forward.  
Spot,
Do we need to put the license headers as a patch or we can just add a comment pointing to the jira issue for clarification?
Comment 11 Tom "spot" Callaway 2009-08-17 15:34:43 EDT
Just make a new SRPM where the source files are properly licensed, please.
Comment 12 Andrew Overholt 2009-08-20 17:11:18 EDT
Full review request (not just a pre-review):  bug #518550.
Comment 13 Andrew Overholt 2009-08-21 14:50:24 EDT
Built:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1623814
Comment 14 Alexander Kurtakov 2009-09-14 05:00:16 EDT
Drop review flag. It was reviewed in #518550

Note You need to log in before you can comment on or make changes to this bug.